:::
開發者討論區

3.0 版的相容性問題

discuss pic 2008-10-13 08:05:43
昨天我將 3.0 版編輯的檔案拿回去用 2.4 版開啟時,出現了一些警告訊息,類似「這個檔案有用到新的功能,請問是否馬上更新程式」之類的用語,我還是用舊版程式打開,發現有一些項目符號不見了,雖然差別不大,但總是覺得不完全相容有一些麻煩。

因為我自己使用的某些系統暫時還無法更新到 3.0 版,以至於我目前對使用 3.0 有點遲疑,有點考慮是否需要換回來,否則恐怕會有點麻煩。
1124186013
discuss pic 2008-10-14 20:48:37
剛剛終於找到 3.0 portable 的版本,讓我比較安心一點,因為有一點點相容性的問題,有 portable 的版本才能隨時使用。
1124186013
discuss pic 2008-10-15 21:36:11
我試著打開一個有中文名稱的檔名,結果顯示“ XXX.odt 不存在”,明明有這個檔啊!
再試著打開中文資料夾下面的一個英文檔,結果仍然相同!
最詭異的是用中文命名新建的檔,結果變成一堆亂碼名稱,再用 OpenOffice.org 3.0 打開此檔,結果程式掛了,重開 OOo 3 ,選擇不恢復此檔,才能順利啟動 OOo 3 。
作業系統: Mac OS X 10.5.5 Intel 2 GHz Core 2 Duo

αρχη σοφιας φοβος κυριου και βουλη αγιων συνεσις
discuss pic 2008-10-16 08:57:16
windows 這邊的 3.0 版開中文檔案倒不是問題,應該是 Mac 版的問題。
1124186013
discuss pic 2008-10-16 14:43:33
我將 ppt 的檔案用 2.4 版開、用 3.0 版開,排版都排得很不錯。

但是我用 2.4 版的程式將 ppt 的檔案存成 odp 檔之後,再用 3.0 版開卻亂掉。用 3.0 版將 ppt 檔存成 odp 檔,之後用 2.4 版開也會亂掉。

真是搞不清楚 3.0 版的 odp 檔案與 2.4 版怎麼會差這麼多呢?

我目前的做法是將 3.0 與 2.4 版的 portable 程式都保留著,可能還是儘可能使用新版本的程式好了,有需要的話再用 2.4 版來開。

新舊版本不相容還真是麻煩。
1124186013
discuss pic 2008-10-16 15:55:20
司布林兄不知是否可以麻煩給個範例?小弟也在煩惱是否要升到 OOo 3.0 ,如果說只是字型造成的版面位移,重新設好替代字型清單的話,那也許還容易解決?
1087306547
discuss pic 2008-10-16 17:32:17
我上傳了三個檔案, testing.ppt 是原來的 ppt 檔案, testing24.odp 是用 2.4 portable 版的 impress 儲存的結果, testing30.odp 是用 3.0 版的 impress 儲存的結果。您可以用 2.4 版分別開看看,也用 3.0 版分別開看看,應該就可以看出問題才對。

奇怪,檔案好像無法上傳,我放到網路上好了。
http://fychurch.fhl.net/~spring/Temp/testing.ppt
http://fychurch.fhl.net/~spring/Temp/testing_24.odp
http://fychurch.fhl.net/~spring/Temp/testing_30.odp
1124186013
discuss pic 2008-10-17 16:15:06
真的會有不相容的情形喔?
我自己在使用是還沒發現不相容的情形,但是看到有人反應這個問題,應該問題也是確實存在的。
真的有點煩惱該不該幫公司的使用者昇級 3.0 版,
在全面由 M$ Office 改成 Openoffice 2.4 已經造成不小民怨了,直到最近才稍歇,要是昇級成 3.0 結果出現不相容舊檔案的情況....
到時候真的會千夫所指,無疾而終 Orz...

相信 Open office 會越來越好的小網管.
discuss pic 2008-10-17 17:34:07
目前是只有 impress 有遇到問題,其他的還沒有發現,您衡量看看吧,若 impress 用不多的話,就不必太煩惱。

我每次換新版時都會覺得速度好像變快了,用久了之後就又覺得差不多,現在也會覺得新版好像比較快。
1124186013
:::

誰在線上

7人線上 (7人在瀏覽互動討論區)

會員: 0
訪客: 7

更多…